#
# spec file for package profanity
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           profanity
Version:        0.5.0
Release:        3.2
Summary:        Console based XMPP client
License:        SUSE-GPL-3.0+-with-openssl-exception
Group:          Productivity/Networking/Instant Messenger
Url:            http://profanity.im/
Source:         http://profanity.im/%{name}-%{version}.tar.gz
Source1:        profanity-rpmlintrc
BuildRequires:  glib2-devel
BuildRequires:  gnutls-devel
BuildRequires:  gtk2-devel
BuildRequires:  libXss1
BuildRequires:  libcurl-devel
BuildRequires:  libexpat-devel
BuildRequires:  libgpgme-devel
BuildRequires:  libnotify-devel
BuildRequires:  libotr-devel
BuildRequires:  libstrophe-devel >= 0.9.0
BuildRequires:  libuuid-devel
BuildRequires:  ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  readline-devel
Requires:       libstrophe0 >= 0.9.0
Requires:       profanity-binary = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.

%package mini
Summary:        Console based XMPP client
Group:          Productivity/Networking/Instant Messenger
Requires:       profanity = %{version}
Requires(post): update-alternatives
Requires(preun): update-alternatives
Provides:       profanity-binary = %{version}-%{release}

%description mini
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.
This package holds a minimal version. With most options not compiled in to have fewer dependencies. It is thus well suited for headless servers.

%package standard
Summary:        Console based XMPP client
Group:          Productivity/Networking/Instant Messenger
Requires:       profanity = %{version}
Requires(post): update-alternatives
Requires(preun): update-alternatives
Provides:       profanity-binary = %{version}-%{release}

%description standard
Profanity is a console based XMPP client written in C using ncurses and libstrophe, inspired by Irssi.

This package holds the standard version.
Including:
 * Desktop notifications (OSD)
 * Tray icon

%prep
%setup -q

%build
%configure \
	--enable-notifications \
	--enable-otr \
	--with-themes \
	--enable-pgp \
	--enable-icons

make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/libprofanity.la

mv %{buildroot}%{_bindir}/profanity{,-standard}

make clean

%configure \
	--disable-notifications \
	--enable-otr \
	--with-themes \
	--enable-pgp
make %{?_smp_mflags}
make %{?_smp_mflags} DESTDIR=%{buildroot} install
rm %{buildroot}%{_libdir}/libprofanity.la

mv %{buildroot}%{_bindir}/profanity{,-mini}

# u-a handling
mkdir -p %{buildroot}%{_sysconfdir}/alternatives/
ln -s profanity %{buildroot}%{_sysconfdir}/alternatives/profanity
ln -s profanity %{buildroot}%{_bindir}/profanity

%files
%defattr(-,root,root)
%{_mandir}/man1/profanity.1%{ext_man}
%dir %{_datadir}/profanity/
%dir %{_datadir}/profanity/themes/
%dir %{_datadir}/profanity/icons/
%{_datadir}/profanity/themes/*
%{_datadir}/profanity/icons/*
# for now we will have them here
%{_libdir}/libprofanity.so
%{_includedir}/profapi.h

%files mini
%defattr(-,root,root)
%ghost %{_sysconfdir}/alternatives/profanity
%ghost %{_bindir}/profanity
%{_bindir}/profanity-mini

%files standard
%defattr(-,root,root)
%ghost %{_sysconfdir}/alternatives/profanity
%ghost %{_bindir}/profanity
%{_bindir}/profanity-standard

%post mini
%{_sbindir}/update-alternatives --install \
    %{_bindir}/profanity profanity %{_bindir}/profanity-mini 10

%preun mini
if [ "$1" = 0 ] ; then
  %{_sbindir}/update-alternatives --remove profanity %{_bindir}/profanity-mini
fi

%post standard
%{_sbindir}/update-alternatives --install \
    %{_bindir}/profanity profanity %{_bindir}/profanity-standard 20

%preun standard
if [ "$1" = 0 ] ; then
  %{_sbindir}/update-alternatives --remove profanity %{_bindir}/profanity-standard
fi

%changelog
* Thu Sep 22 2016 mvetter@suse.com
- Fixing gh/boothj5/profanity/#860:
  profanity uses parts of the new API of libstrophe. But since
  the so name wasn't bumped this doesn't get autodetected.
  Adding the requires manually: Requires: libstrophe0 >= 0.9.0
* Wed Sep 21 2016 mvetter@suse.com
- Add better information to description
- Enable tray icon in profanity-standard
* Fri Sep 16 2016 mvetter@suse.com
- Run spec-cleaner and use macros so it builds on all archs
* Fri Sep 16 2016 mvetter@suse.com
- Add profanity-rpmlintrc
* Fri Sep 16 2016 mvetter@suse.com
- Update to version 0.5.0:
  * Plugins API supporting C and Python plugins
  * SSL certificate verification (requires libmesode) (/tls)
  * HTTP file upload (xep-0363) (/sendfile)
  * Blocking command (xep-0191) (/blocked)
  * Allow auto extended away (/autoaway)
  * Include last acitvity in initial presence (xep-0256) (/lastactivity)
  * Last Activity (xep-0012) (/lastactivity)
  * Ability to run command scripts (/script)
  * Account startscript property to execute a command script on connect (/account)
  * Export roster to CSV file (/export)
  * Support for GTK tray icons (/tray)
  * User specified text triggers for chat room notifications (/notify)
  * Per chat room notification options (/notify)
  * Many new roster panel display options (/roster)
  * Time format preferences per window type (/time)
  * Edit, prepend and append to room subject (/subject)
  * Autoping timeout preference (/autoping)
  * Window navigation by window title (/win)
  * Window closing by window title (/close)
  * Account theme setting (/account)
  * Allow sending XMPP stanzas in xmlconsole window (/xmlconsole)
  * Configure level of room message notifications in console window (/console)
  * Check ~/.config/profanity/inputrc for readline settings
  * Custom readline functions for navigation key bindings
  * Autocomplete command arguments when no characters entered
- BuildRequire at least version 0.9.0 of libstrophe
- Have libprofanity.so and profapi.h in main package for now
- Add icon files
* Tue Jun 14 2016 mvetter@suse.com
- Split profanity in two packages:
  standard - the default with all features enabled
  mini - disabling notifications thus not needing X
* Thu Oct  1 2015 mvetter@suse.com
- Build with PGP enabled
- Upgrade to version 0.4.7:
  * Build against libmesode if available
  * Handle invalid SSL certificates (requires libmesode)
  * Allow auto extended away
  * Include last acitvity in initial presence (xep-0256)
  * Last Activity (xep-0012)
  libmesode is not yet packaged. So this version uses libstrophe still.
* Tue Jul  7 2015 cfarrell@suse.com
- license update: SUSE-GPL-3.0+-with-openssl-exception
  There is an exception to permit linking with openssl
* Tue Jun 16 2015 mvetter@suse.com
- Initial commit
